/*
 * @(#) $Id:  $
 *
 * Copyright 2009/2010 by sIT Solutions,
 * A-1110 Wien, Geiselbergstr.21-25.
 * All rights reserved.
 *
 */
package org.openxma.dsl.core.linking.support;

import org.eclipse.xtext.parsetree.AbstractNode;
import org.eclipse.xtext.parsetree.CompositeNode;

public class SiblingUtil {

    /**
     * Get the next sibling in parsetree.
     * Should be replaced by framework classes 
     */
    public static AbstractNode getNextSibling(AbstractNode abstractNode) {
        CompositeNode parentNode = abstractNode.getParent();
        boolean occured = false;
        if (parentNode == null)
            return null;
        for (AbstractNode child : parentNode.getChildren()) {
            if (occured) {
                return child;
            }
            if (child.equals(abstractNode))
                occured = true;
        }
        return null;
        
    }
}
